import request from "@/util/oaRequest"

// 查询OA 需求列表
export function listRequirements(query) {
  return request({
    url: '/oa/requirements/list',
    method: 'get',
    params: query
  })
}

// 查询OA 需求详细
export function getRequirements(requirementId) {
  return request({
    url: '/oa/requirements/' + requirementId,
    method: 'get'
  })
}

// 新增OA 需求
export function addRequirements(data) {
  return request({
    url: '/oa/requirements',
    method: 'post',
    data: data
  })
}

// 修改OA 需求
export function updateRequirements(data) {
  return request({
    url: '/oa/requirements',
    method: 'put',
    data: data
  })
}

// 删除OA 需求
export function delRequirements(requirementId) {
  return request({
    url: '/oa/requirements/' + requirementId,
    method: 'delete'
  })
}
